<?php

// web routes  for status
Route::prefix('{guard}/test_general')->group(function () {
    Route::resource('status', 'StatusResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StatusResourceController');
            });
            // Public routes for pages
            Route::get('test_generals/', 'StatusPublicController@index');
            Route::get('test_generals/{slug?}', 'StatusPublicController@show');
        }
    );
}

